-- Generated by Oracle SQL Developer Data Modeler 23.1.0.087.0806
--   at:        2024-05-03 10:29:35 EDT
--   site:      Oracle Database 21c
--   type:      Oracle Database 21c


CREATE TABLE death_classification (
    deathclass           NUMBER(38) NOT NULL,
    death_classification VARCHAR2(128 BYTE)
)
TABLESPACE data LOGGING NO INMEMORY;

CREATE UNIQUE INDEX death_classification_pk ON
    death_classification (
        deathclass
    ASC )
        TABLESPACE data LOGGING;

ALTER TABLE death_classification
    ADD CONSTRAINT death_classification_pk PRIMARY KEY ( deathclass )
        USING INDEX death_classification_pk;

CREATE TABLE death_types (
    deathtype      NUMBER(10) NOT NULL,
    cause_of_death VARCHAR2(50 BYTE) NOT NULL
)
TABLESPACE data LOGGING NO INMEMORY;

CREATE UNIQUE INDEX death_types_pk ON
    death_types (
        deathtype
    ASC )
        TABLESPACE data LOGGING;

ALTER TABLE death_types
    ADD CONSTRAINT death_types_pk PRIMARY KEY ( deathtype )
        USING INDEX death_types_pk;

CREATE TABLE expedition_term_reasons (
    termreason       NUMBER(38) NOT NULL,
    term_description VARCHAR2(50 BYTE)
)
TABLESPACE data LOGGING NO INMEMORY;

CREATE UNIQUE INDEX exp_term_reasons_pk ON
    expedition_term_reasons (
        termreason
    ASC )
        TABLESPACE data LOGGING;

ALTER TABLE expedition_term_reasons
    ADD CONSTRAINT exp_term_reasons_pk PRIMARY KEY ( termreason )
        USING INDEX exp_term_reasons_pk;

CREATE TABLE expeditions (
    expid            VARCHAR2(26 BYTE) NOT NULL,
    peakid           VARCHAR2(26 BYTE) NOT NULL,
    year             NUMBER(38) NOT NULL,
    season           NUMBER(38),
    host             NUMBER(38),
    route1           VARCHAR2(128 BYTE),
    route2           VARCHAR2(128 BYTE),
    route3           VARCHAR2(128 BYTE),
    route4           VARCHAR2(128 BYTE),
    nation           VARCHAR2(128 BYTE),
    leaders          VARCHAR2(400 BYTE),
    sponsor          VARCHAR2(400 BYTE),
    success1         VARCHAR2(26 BYTE),
    success2         VARCHAR2(26 BYTE),
    success3         VARCHAR2(26 BYTE),
    success4         VARCHAR2(26 BYTE),
    ascent1          VARCHAR2(26 BYTE),
    ascent2          VARCHAR2(26 BYTE),
    ascent3          VARCHAR2(26 BYTE),
    ascent4          VARCHAR2(26 BYTE),
    claimed          VARCHAR2(26 BYTE),
    disputed         VARCHAR2(26 BYTE),
    countries        VARCHAR2(300 BYTE),
    approach         VARCHAR2(128 BYTE),
    bcdate           VARCHAR2(26 BYTE),
    smtdate          VARCHAR2(26 BYTE),
    smttime          VARCHAR2(26 BYTE),
    smtdays          NUMBER(38),
    totdays          NUMBER(38),
    termdate         VARCHAR2(26 BYTE),
    termreason       NUMBER(38),
    termnote         VARCHAR2(128 BYTE),
    highpoint        NUMBER(38),
    traverse         VARCHAR2(26 BYTE),
    ski              VARCHAR2(26 BYTE),
    parapente        VARCHAR2(26 BYTE),
    camps            NUMBER(38),
    rope             NUMBER(38),
    totmembers       NUMBER(38),
    smtmembers       NUMBER(38),
    mdeaths          NUMBER(38),
    tothired         NUMBER(38),
    smthired         NUMBER(38),
    hdeaths          NUMBER(38),
    nohired          VARCHAR2(26 BYTE),
    o2used           VARCHAR2(26 BYTE),
    o2none           VARCHAR2(26 BYTE),
    o2climb          VARCHAR2(26 BYTE),
    o2descent        VARCHAR2(26 BYTE),
    o2sleep          VARCHAR2(26 BYTE),
    o2medical        VARCHAR2(26 BYTE),
    o2taken          VARCHAR2(26 BYTE),
    o2unkwn          VARCHAR2(26 BYTE),
    othersmts        VARCHAR2(256 BYTE),
    campsites        VARCHAR2(256 BYTE),
    accidents        VARCHAR2(256 BYTE),
    achievment       VARCHAR2(500 BYTE),
    agency           VARCHAR2(128 BYTE),
    comrte           VARCHAR2(26 BYTE),
    stdrte           VARCHAR2(26 BYTE),
    primrte          VARCHAR2(26 BYTE),
    primmem          VARCHAR2(26 BYTE),
    primref          VARCHAR2(26 BYTE),
    primid           VARCHAR2(26 BYTE),
    chksum           NUMBER(38),
    members_above_bc NUMBER(38)
)
TABLESPACE data LOGGING NO INMEMORY;

CREATE UNIQUE INDEX expeditions_pk ON
    expeditions (
        expid
    ASC,
        peakid
    ASC,
        year
    ASC )
        TABLESPACE data LOGGING;

ALTER TABLE expeditions
    ADD CONSTRAINT expeditions_pk PRIMARY KEY ( expid,
                                                peakid,
                                                year )
        USING INDEX expeditions_pk;

CREATE TABLE hosts (
    host         NUMBER(10) NOT NULL,
    host_country VARCHAR2(20 BYTE)
)
TABLESPACE data LOGGING NO INMEMORY;

CREATE UNIQUE INDEX hosts_pk ON
    hosts (
        host
    ASC )
        TABLESPACE data LOGGING;

ALTER TABLE hosts
    ADD CONSTRAINT hosts_pk PRIMARY KEY ( host )
        USING INDEX hosts_pk;

CREATE TABLE injury_types (
    injurytype         NUMBER(38) NOT NULL,
    injury_description VARCHAR2(50 BYTE)
)
TABLESPACE data LOGGING NO INMEMORY;

CREATE UNIQUE INDEX injury_types_pk ON
    injury_types (
        injurytype
    ASC )
        TABLESPACE data LOGGING;

ALTER TABLE injury_types
    ADD CONSTRAINT injury_types_pk PRIMARY KEY ( injurytype )
        USING INDEX injury_types_pk;

CREATE TABLE members (
    expid      VARCHAR2(26 BYTE) NOT NULL,
    membid     NUMBER(38) NOT NULL,
    peakid     VARCHAR2(26 BYTE) NOT NULL,
    myear      NUMBER(38) NOT NULL,
    mseason    NUMBER(38),
    fname      VARCHAR2(50 BYTE),
    lname      VARCHAR2(50 BYTE),
    sex        VARCHAR2(26 BYTE),
    age        NUMBER(38),
    birthdate  VARCHAR2(26 BYTE),
    yob        NUMBER(38),
    calcage    NUMBER(38),
    citizen    VARCHAR2(26 BYTE),
    status     VARCHAR2(26 BYTE),
    residence  VARCHAR2(128 BYTE),
    occupation VARCHAR2(128 BYTE),
    leader     VARCHAR2(10 BYTE),
    deputy     VARCHAR2(10 BYTE),
    bconly     VARCHAR2(10 BYTE),
    nottobc    VARCHAR2(10 BYTE),
    support    VARCHAR2(10 BYTE),
    disabled   VARCHAR2(10 BYTE),
    hired      VARCHAR2(10 BYTE),
    sherpa     VARCHAR2(10 BYTE),
    tibetan    VARCHAR2(10 BYTE),
    msuccess   VARCHAR2(10 BYTE),
    mclaimed   VARCHAR2(10 BYTE),
    mdisputed  VARCHAR2(10 BYTE),
    msolo      VARCHAR2(10 BYTE),
    mtraverse  VARCHAR2(10 BYTE),
    mski       VARCHAR2(10 BYTE),
    mparapente VARCHAR2(10 BYTE),
    mspeed     VARCHAR2(10 BYTE),
    mhighpt    VARCHAR2(10 BYTE),
    mperhighpt NUMBER(38),
    msmtdate1  VARCHAR2(26 BYTE),
    msmtdate2  VARCHAR2(26 BYTE),
    msmtdate3  VARCHAR2(26 BYTE),
    msmttime1  NUMBER(38),
    msmttime2  NUMBER(38),
    msmttime3  VARCHAR2(26 BYTE),
    mroute1    NUMBER(38),
    mroute2    NUMBER(38),
    mroute3    NUMBER(38),
    mascent1   NUMBER(38),
    mascent2   NUMBER(38),
    mascent3   NUMBER(38),
    mo2used    VARCHAR2(10 BYTE),
    mo2none    VARCHAR2(10 BYTE),
    mo2climb   VARCHAR2(10 BYTE),
    mo2descent VARCHAR2(10 BYTE),
    mo2sleep   VARCHAR2(10 BYTE),
    mo2medical VARCHAR2(10 BYTE),
    mo2note    VARCHAR2(200 BYTE),
    death      VARCHAR2(10 BYTE),
    deathdate  VARCHAR2(26 BYTE),
    deathtime  NUMBER(38),
    deathtype  NUMBER(38),
    deathhgtm  NUMBER(38),
    deathclass NUMBER(38),
    ams        VARCHAR2(10 BYTE),
    weather    VARCHAR2(10 BYTE),
    injury     VARCHAR2(10 BYTE),
    injurydate VARCHAR2(26 BYTE),
    injurytime VARCHAR2(26 BYTE),
    injurytype NUMBER(38),
    injuryhgtm NUMBER(38),
    deathnote  VARCHAR2(500 BYTE),
    msmtbid    NUMBER(38),
    msmtterm   NUMBER(38),
    hcn        NUMBER(38),
    mchksum    NUMBER(38),
    msmtnote1  NUMBER(38),
    msmtnote2  NUMBER(38),
    msmtnote3  NUMBER(38),
    deathrte   NUMBER(38)
)
TABLESPACE data LOGGING NO INMEMORY;

CREATE UNIQUE INDEX members_pk ON
    members (
        expid
    ASC,
        membid
    ASC,
        peakid
    ASC,
        myear
    ASC )
        TABLESPACE data LOGGING;

ALTER TABLE members
    ADD CONSTRAINT members_pk PRIMARY KEY ( expid,
                                            membid,
                                            peakid,
                                            myear )
        USING INDEX members_pk;

CREATE TABLE peaks (
    peakid     VARCHAR2(26 BYTE) NOT NULL,
    pkname     VARCHAR2(26 BYTE),
    pkname2    VARCHAR2(128 BYTE),
    location   VARCHAR2(128 BYTE),
    heightm    NUMBER(38),
    heightf    NUMBER(38),
    himal      NUMBER(38),
    region     NUMBER(38),
    open       VARCHAR2(26 BYTE),
    unlisted   VARCHAR2(26 BYTE),
    trekking   VARCHAR2(26 BYTE),
    trekyear   NUMBER(38),
    restrict   VARCHAR2(128 BYTE),
    phost      NUMBER(38),
    pstatus    NUMBER(38),
    pyear      NUMBER(38),
    pseason    NUMBER(38),
    pexpid     VARCHAR2(26 BYTE),
    psmtdate   VARCHAR2(26 BYTE),
    pcountry   VARCHAR2(128 BYTE),
    psummiters VARCHAR2(256 BYTE),
    psmtnote   VARCHAR2(256 BYTE)
)
TABLESPACE data LOGGING NO INMEMORY;

CREATE UNIQUE INDEX peaks_pk ON
    peaks (
        peakid
    ASC )
        TABLESPACE data LOGGING;

ALTER TABLE peaks
    ADD CONSTRAINT peaks_pk PRIMARY KEY ( peakid )
        USING INDEX peaks_pk;

CREATE TABLE references (
    expid              VARCHAR2(26 BYTE) NOT NULL,
    refid              NUMBER(38) NOT NULL,
    ryear              NUMBER(38) NOT NULL,
    rtype              NUMBER(38),
    rjrnl              VARCHAR2(400 BYTE),
    rauthor            VARCHAR2(200 BYTE),
    rtitle             VARCHAR2(400 BYTE),
    rpublisher         VARCHAR2(200 BYTE),
    rpubdate           NUMBER(38),
    rlanguage          VARCHAR2(150 BYTE),
    rcitation          VARCHAR2(400 BYTE),
    ryak94             VARCHAR2(200 BYTE),
    expeditions_expid  VARCHAR2(26 BYTE) NOT NULL,
    expeditions_peakid VARCHAR2(26 BYTE) NOT NULL,
    expeditions_year   NUMBER(38) NOT NULL
)
TABLESPACE data LOGGING NO INMEMORY;

CREATE UNIQUE INDEX references_pk ON
    references (
        expid
    ASC,
        refid
    ASC,
        ryear
    ASC )
        TABLESPACE data LOGGING;

ALTER TABLE references
    ADD CONSTRAINT references_pk PRIMARY KEY ( expid,
                                               refid,
                                               ryear )
        USING INDEX references_pk;

CREATE TABLE seasons (
    mseason NUMBER(10) NOT NULL,
    season  VARCHAR2(20 BYTE)
)
TABLESPACE data LOGGING NO INMEMORY;

CREATE UNIQUE INDEX seasons_pk ON
    seasons (
        mseason
    ASC )
        TABLESPACE data LOGGING;

ALTER TABLE seasons
    ADD CONSTRAINT seasons_pk PRIMARY KEY ( mseason )
        USING INDEX seasons_pk;

ALTER TABLE members
    ADD CONSTRAINT deathclass_fk FOREIGN KEY ( deathclass )
        REFERENCES death_classification ( deathclass )
    NOT DEFERRABLE;

ALTER TABLE members
    ADD CONSTRAINT deathtype_fk FOREIGN KEY ( deathtype )
        REFERENCES death_types ( deathtype )
    NOT DEFERRABLE;

ALTER TABLE expeditions
    ADD CONSTRAINT exped_term_reasons_fk FOREIGN KEY ( termreason )
        REFERENCES expedition_term_reasons ( termreason )
    NOT DEFERRABLE;

ALTER TABLE members
    ADD CONSTRAINT expedition_fk FOREIGN KEY ( expid,
                                               peakid,
                                               myear )
        REFERENCES expeditions ( expid,
                                      peakid,
                                      year )
    NOT DEFERRABLE;

ALTER TABLE expeditions
    ADD CONSTRAINT expedition_host_fk FOREIGN KEY ( host )
        REFERENCES hosts ( host )
    NOT DEFERRABLE;

ALTER TABLE expeditions
    ADD CONSTRAINT expedition_season_fk FOREIGN KEY ( season )
        REFERENCES seasons ( mseason )
    NOT DEFERRABLE;

ALTER TABLE members
    ADD CONSTRAINT member_peak_fk FOREIGN KEY ( peakid )
        REFERENCES peaks ( peakid )
    NOT DEFERRABLE;

ALTER TABLE members
    ADD CONSTRAINT member_season_fk FOREIGN KEY ( mseason )
        REFERENCES seasons ( mseason )
    NOT DEFERRABLE;

ALTER TABLE members
    ADD CONSTRAINT members_injury_type_fk FOREIGN KEY ( injurytype )
        REFERENCES injury_types ( injurytype )
    NOT DEFERRABLE;

ALTER TABLE expeditions
    ADD CONSTRAINT peak_fk FOREIGN KEY ( peakid )
        REFERENCES peaks ( peakid )
    NOT DEFERRABLE;

ALTER TABLE references
    ADD CONSTRAINT references_expeditions_fk FOREIGN KEY ( expeditions_expid,
                                                           expeditions_peakid,
                                                           expeditions_year )
        REFERENCES expeditions ( expid,
                                      peakid,
                                      year )
    NOT DEFERRABLE;



-- Oracle SQL Developer Data Modeler Summary Report: 
-- 
-- CREATE TABLE                            10
-- CREATE INDEX                            10
-- ALTER TABLE                             21
-- CREATE VIEW                              0
-- ALTER VIEW                               0
-- CREATE PACKAGE                           0
-- CREATE PACKAGE BODY                      0
-- CREATE PROCEDURE                         0
-- CREATE FUNCTION                          0
-- CREATE TRIGGER                           0
-- ALTER TRIGGER                            0
-- CREATE COLLECTION TYPE                   0
-- CREATE STRUCTURED TYPE                   0
-- CREATE STRUCTURED TYPE BODY              0
-- CREATE CLUSTER                           0
-- CREATE CONTEXT                           0
-- CREATE DATABASE                          0
-- CREATE DIMENSION                         0
-- CREATE DIRECTORY                         0
-- CREATE DISK GROUP                        0
-- CREATE ROLE                              0
-- CREATE ROLLBACK SEGMENT                  0
-- CREATE SEQUENCE                          0
-- CREATE MATERIALIZED VIEW                 0
-- CREATE MATERIALIZED VIEW LOG             0
-- CREATE SYNONYM                           0
-- CREATE TABLESPACE                        0
-- CREATE USER                              1
-- 
-- DROP TABLESPACE                          0
-- DROP DATABASE                            0
-- 
-- REDACTION POLICY                         0
-- 
-- ORDS DROP SCHEMA                         0
-- ORDS ENABLE SCHEMA                       0
-- ORDS ENABLE OBJECT                       0
-- 
-- ERRORS                                   0
-- WARNINGS                                 0
